Bug 64231 - counter rollover makes nfsstat less useful
counter rollover makes nfsstat less useful
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: nfs-utils (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-29 18:25 EDT by Need Real Name
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version: nfs-utils-1.0.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-13 09:55:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-04-29 18:25:11 EDT
Description of Problem:

After a server has done a high number of NFS operations, the client RPC calls
number will roll over into negative numbers, and this apparently causes the
break-out of the call percentages of the NFS operations to all report at 0%.

Version-Release number of selected component (if applicable):

nfs-utils-0.3.1-0.6.x.1

Steps to Reproduce:
1. Have a machine NFS mount a directory
2. Perform a *LOT* of NFS operations in that directory
3. Observe the output of nfsstat -c

Actual Results:


Client rpc stats:
calls      retrans    authrefrsh
-116340416   30859      0       
Client nfs v2:
null       getattr    setattr    root       lookup     readlink   
0       0% 0       0% 0       0% 0       0% 0       0% 0       0% 
read       wrcache    write      create     remove     rename     
0       0% 0       0% 0       0% 0       0% 0       0% 0       0% 
link       symlink    mkdir      rmdir      readdir    fsstat     
0       0% 0       0% 0       0% 0       0% 0       0% 0       0% 

Client nfs v3:
null       getattr    setattr    lookup     access     readlink   
7       0% 2404244  0% 0       0% 2095828431  0% 23542444  0% 228749082  0% 
read       write      create     mkdir      symlink    mknod      
1514273548  0% 0       0% 0       0% 0       0% 0       0% 0       0% 
remove     rmdir      rename     link       readdir    readdirplus
0       0% 0       0% 0       0% 0       0% 284852182  0% 0       0% 
fsstat     fsinfo     pathconf   commit     
54      0% 54      0% 0       0% 0       0% 

Expected Results:

I would expect the "Client RPC calls" to be a positive number, and for the
"Client nfs v3" numbers to show a percentage of total traffic.

Additional Notes:

This behavior was observed on a 6.2 system, but it may also apply to 7.x
systems.
Comment 1 Bob Matthews 2002-04-30 11:44:04 EDT
rpccnt is an unsigned int in the kernel.  Probably needs to be the same in nfsstat.

Note You need to log in before you can comment on or make changes to this bug.